# Queries ## Create new saved string queries `client.brandProtection.queries.create(QueryCreateParamsparams, RequestOptionsoptions?): void` **post** `/accounts/{account_id}/brand-protection/queries` Return a success message after creating new saved string queries ### Parameters - `params: QueryCreateParams` - `account_id: string` Path param - `id?: string` Query param - `body_scan?: boolean` Body param - `body_tag?: string` Body param - `max_time?: string | null` Body param - `min_time?: string | null` Body param - `string_matches?: unknown` Body param ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.brandProtection.queries.create({ account_id: 'x' }); ``` ## Delete saved string queries by ID `client.brandProtection.queries.delete(QueryDeleteParamsparams, RequestOptionsoptions?): void` **delete** `/accounts/{account_id}/brand-protection/queries` Return a success message after deleting saved string queries by ID ### Parameters - `params: QueryDeleteParams` - `account_id: string` Path param - `id?: string` Query param - `scan?: boolean` Query param - `tag?: string` Query param ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.brandProtection.queries.delete({ account_id: 'x' }); ``` ## Create new saved string queries in bulk `client.brandProtection.queries.bulk(QueryBulkParamsparams, RequestOptionsoptions?): void` **post** `/accounts/{account_id}/brand-protection/queries/bulk` Return a success message after creating new saved string queries in bulk ### Parameters - `params: QueryBulkParams` - `account_id: string` Path param - `queries?: Array>` Body param ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); await client.brandProtection.queries.bulk({ account_id: 'x' }); ```